Default values for the template inputs
Status: Closed   

Priority: Normal   

Assignee: Oleh Fedorenko   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 1.24.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7050

  

Description

Sometimes, the template can have an input, which is required, but some sane defualt can be specified (thing about `ping -c 5 

www.example.com` - one doesn't want to do that infinitely, but the number of iterations should be customizable).

Related issues:

Related to Foreman Remote Execution - Feature #28052: Add default field for t... Closed

Associated revisions

Revision b3c1ffb0 - 10/08/2019 05:45 PM - Oleh Fedorenko

Fixes #11367 - Default values for the template inputs

History

#1 - 01/06/2016 10:22 AM - Marek Hulán

- Tracker changed from Bug to Feature

#2 - 04/08/2019 06:27 AM - Marek Hulán

- Project changed from Foreman Remote Execution to Foreman

#3 - 09/19/2019 02:24 PM - Oleh Fedorenko

- Status changed from New to Assigned

- Assignee set to Oleh Fedorenko

#4 - 09/19/2019 02:49 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7050 added

#5 - 10/08/2019 05:45 PM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#6 - 10/08/2019 06:01 PM - Oleh Fedorenko

- Status changed from Ready For Testing to Closed

Applied in changeset b3c1ffb0ae1ea3d4d1ed74214589fe98854536a3.

#7 - 10/11/2019 05:41 PM - Oleh Fedorenko

- Related to Feature #28052: Add default field for template inputs in hammer added

#8 - 10/24/2019 12:58 PM - Amit Upadhye

- Category set to Templates
